const { existsSync, mkdirSync, writeFileSync, readFileSync } = require('fs');
const { homedir } = require('os');

const configDir = `${homedir()}/.spotify-local`
const authenticationFile = `${configDir}/authentication`

const ensure = () => {
    if (!existsSync(configDir)) mkdirSync(configDir);
    if (!existsSync(authenticationFile)) writeFileSync(authenticationFile, '');
    return true;
};

exports.authFile = authenticationFile;
exports.setAuth = (code) => ensure() && writeFileSync(authenticationFile, code);
exports.getAuth = () => ensure() && readFileSync(authenticationFile).toString();
exports.hasAuth = () => ensure() && readFileSync(authenticationFile).toString() !== '';